> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Prompt By Id

> Update Prompt



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json put /api/v1/prompt/{prompt_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/prompt/{prompt_id}:
    put:
      tags:
        - Prompt
      summary: Update Prompt By Id
      description: Update Prompt
      operationId: update_prompt_by_id_api_v1_prompt__prompt_id__put
      parameters:
        - name: prompt_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The UUID id of the assistant
            title: Prompt Id
          description: The UUID id of the assistant
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IPromptUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPutResponseBase_IPromptUpdate_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IPromptUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        prompt_template:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Template
        owner_type:
          anyOf:
            - $ref: '#/components/schemas/IOwnerType'
            - type: 'null'
      type: object
      title: IPromptUpdate
    IPutResponseBase_IPromptUpdate_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data updated successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IPromptUpdate'
            - type: 'null'
      type: object
      title: IPutResponseBase[IPromptUpdate]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IOwnerType:
      type: string
      enum:
        - user
        - system
      title: IOwnerType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````